---
title: 'Contributing'
---

# Contributing

Before contributing to this repository, please first discuss the change you wish to make via issue, or any other method with the owners of this repository before making a change. Take a look at the [Contributing Guidelines](https://github.com/madlabsinc/mevn-cli/wiki/Contributing-Guidelines) to get a better picture regarding the codebase and project structure.

## How do I contribute?
1. Ensure you have no "dummy" files left, if you do then add them to the bottom of `.gitignore`.
2. Fork and clone our repository.
3. Make your life-changing changes.
4. Run `npm run build` which generates a `lib` directory with the transpiled `es5` code.
5. Fire in `sudo npm link` to test everything works fine.
6. Commit and push your changes.
7. Make a detailed pull request.

`npm link` creates a symlink in the global folder making the `mevn` command globally available within your local development environment

## Why should I contribute?
Contributing helps people and makes the world simply a better place, without contributors this project would cease to exist.

## What if I cannot code or do not like it?
You can always write documentation, most repositories lack in it.

## What is next?
Nothing! You are done and ready to get coding!
